diff -ruN vdr-1.4.2/CONTRIBUTORS vdr-1.4.3/CONTRIBUTORS
--- vdr-1.4.2/CONTRIBUTORS	2006-08-20 12:46:02.000000000 +0200
+++ vdr-1.4.3/CONTRIBUTORS	2006-09-16 14:14:06.000000000 +0200
@@ -640,6 +640,8 @@
  for reporting a problem in extracting APIVERSION with older versions of 'sed'
  for fixing broken APIVERSION extraction line in 'newplugin'
  for making VDR no longer stop removing empty directories if an error occurs
+ for reporting a bug in handling relative volume settings that unmute the audio in
+ the call to cStatus::MsgSetVolume()
 
 Reinhard Walter Buchner <rw.buchner@freenet.de>
  for adding some satellites to 'sources.conf'
@@ -1004,6 +1006,8 @@
  for reporting a bug in handling empty titles in cEvent::FixEpgBugs()
  for suggesting to replace the "Really restart?" prompt in the call to
  cPluginManager::Active() in menu.c to "restart anyway?"
+ for adding --remove-destination to the 'cp' command for binaries in the Makefiles of
+ the plugins
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -1463,6 +1467,7 @@
  for fixing getting the next active timer when shutting down
  for reporting a problem with cPlugin::ConfigDirectory() in case a plugin calls it
  from a separate thread
+ for reporting that an assignment in svdrp.c didn't use the cTimer::operator=())
 
 Sven Kreiensen <svenk@kammer.uni-hannover.de>
  for his help in keeping 'channels.conf.terr' up to date
@@ -1737,6 +1742,9 @@
  for fixing a typo in skins.h
  for making cSkins::QueueMessage() called from a background thread with an empty
  message clears all messages that have been previously queued by that thread
+ for reporting that the cTimer::operator=() messes up the cListObject's pointers
+ for reporting a memory leak in the cTimer::operator=() when using the 'aux' string
+ for fixing cTimer::operator=() in case a cTimer variable is assigned to itself
 
 Philip Prindeville <philipp_subx@redfish-solutions.com>
  for updates to 'sources.conf'
@@ -1811,6 +1819,8 @@
  have been several reports that it causes more problems than it solves
  for suggesting to add --remove-destination to the 'cp' command for binaries in
  the Makefile to avoid a crash in case a new version is installed on a running system
+ for fixing handling video directory updates in case the timestamp of the .update
+ file is in the future
 
 Marcel Schaeben <mts280@gmx.de>
  for his "Easy Input" patch
@@ -1987,3 +1997,9 @@
 Tomas Berglund <tomber@telia.com>
  for reporting a problem with sticky PIDs in CAMs when switching between encrypted
  channels on the same transponder
+
+Matthias Schwarzott <zzam@gentoo.org>
+ for suggesting to add LC_ALL to the checks for UTF-8 at startup
+
+Martin Ostermann <martin@familie-ostermann.de>
+ for fixing processing the PDCDescriptor in 'libsi' on big endian systems
diff -ruN vdr-1.4.2/HISTORY vdr-1.4.3/HISTORY
--- vdr-1.4.2/HISTORY	2006-08-27 10:42:31.000000000 +0200
+++ vdr-1.4.3/HISTORY	2006-09-23 15:57:19.000000000 +0200
@@ -4895,3 +4895,38 @@
   which made it prefer any device that's already receiving and doesn't require
   detatching receivers. This change has caused some unwanted behavior, so further
   testing is necessary.
+
+2006-09-03: Version 1.4.2-1
+
+- Added LC_ALL to the checks for UTF-8 at startup (suggested by Matthias Schwarzott).
+- Fixed the cTimer::operator=() so that it won't mess up the cListObject's pointers
+  (reported by Alexander Rieger).
+- Fixed a memory leak in the cTimer::operator=() when using the 'aux' string
+  (reported by Alexander Rieger).
+- Fixed processing the PDCDescriptor in 'libsi' on big endian systems (thanks to
+  Martin Ostermann).
+- Fixed handling relative volume settings that unmute the audio in the call to
+  cStatus::MsgSetVolume() (reported by Oliver Endriss).
+
+2006-09-09: Version 1.4.2-2
+
+- Fixed cTimer::operator=() in case a cTimer variable is assigned to itself (thanks
+  to Alexander Rieger).
+- Implemented a copy constructor for cTimer (thanks to Udo Richter for reporting that
+  an assignment in svdrp.c didn't use the cTimer::operator=()).
+
+2006-09-17: Version 1.4.2-3
+
+- Added --remove-destination to the 'cp' command for binaries in the Makefiles of
+  the plugins (thanks to Rolf Ahrenberg).
+- The 'skincurses' plugin now adjusts the size of the OSD to the size of the console
+  window.
+- Fixed deleting expired VPS timers (under certain conditions a timer could have been
+  deleted before it even started recording).
+- Updated the Hungarian language texts (thanks to Istvan Koenigsberger and Guido Josten).
+- Fixed handling video directory updates in case the timestamp of the .update file
+  is in the future (thanks to Petri Hintukainen).
+
+2006-09-23: Version 1.4.3
+
+- Official release.
diff -ruN vdr-1.4.2/PLUGINS/src/hello/Makefile vdr-1.4.3/PLUGINS/src/hello/Makefile
--- vdr-1.4.2/PLUGINS/src/hello/Makefile	2006-04-24 19:20:58.000000000 +0200
+++ vdr-1.4.3/PLUGINS/src/hello/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.14 2006/04/24 17:20:58 kls Exp $
+# $Id: Makefile 1.15 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2/PLUGINS/src/osddemo/Makefile vdr-1.4.3/PLUGINS/src/osddemo/Makefile
--- vdr-1.4.2/PLUGINS/src/osddemo/Makefile	2006-04-24 19:21:00.000000000 +0200
+++ vdr-1.4.3/PLUGINS/src/osddemo/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.8 2006/04/24 17:21:00 kls Exp $
+# $Id: Makefile 1.9 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2/PLUGINS/src/servicedemo/Makefile vdr-1.4.3/PLUGINS/src/servicedemo/Makefile
--- vdr-1.4.2/PLUGINS/src/servicedemo/Makefile	2006-06-24 11:09:54.000000000 +0200
+++ vdr-1.4.3/PLUGINS/src/servicedemo/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.7 2006/06/24 09:09:54 kls Exp $
+# $Id: Makefile 1.8 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -69,11 +69,11 @@
 
 libvdr-$(PLUGIN1).so: $(PLUGIN1).o
 	$(CXX) $(CXXFLAGS) -shared $(PLUGIN1).o -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 libvdr-$(PLUGIN2).so: $(PLUGIN2).o
 	$(CXX) $(CXXFLAGS) -shared $(PLUGIN2).o -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2/PLUGINS/src/skincurses/HISTORY vdr-1.4.3/PLUGINS/src/skincurses/HISTORY
--- vdr-1.4.2/PLUGINS/src/skincurses/HISTORY	2006-06-03 16:31:33.000000000 +0200
+++ vdr-1.4.3/PLUGINS/src/skincurses/HISTORY	2006-09-10 16:25:11.000000000 +0200
@@ -35,3 +35,7 @@
 - Fixed handling tabbed item display.
 - When the 'skincurses' plugin is loaded, it automatically sets the 'curses'
   skin as the current one.
+
+2006-09-10: Version 0.0.8
+
+- The size of the OSD is now adjusted to the size of the console window.
diff -ruN vdr-1.4.2/PLUGINS/src/skincurses/Makefile vdr-1.4.3/PLUGINS/src/skincurses/Makefile
--- vdr-1.4.2/PLUGINS/src/skincurses/Makefile	2006-04-24 19:21:02.000000000 +0200
+++ vdr-1.4.3/PLUGINS/src/skincurses/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.6 2006/04/24 17:21:02 kls Exp $
+# $Id: Makefile 1.7 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -lncurses -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2/PLUGINS/src/skincurses/skincurses.c vdr-1.4.3/PLUGINS/src/skincurses/skincurses.c
--- vdr-1.4.2/PLUGINS/src/skincurses/skincurses.c	2006-06-03 16:20:39.000000000 +0200
+++ vdr-1.4.3/PLUGINS/src/skincurses/skincurses.c	2006-09-10 16:23:55.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: skincurses.c 1.10 2006/06/03 14:20:39 kls Exp $
+ * $Id: skincurses.c 1.11 2006/09/10 14:23:55 kls Exp $
  */
 
 #include <ncurses.h>
@@ -11,7 +11,7 @@
 #include <vdr/plugin.h>
 #include <vdr/skins.h>
 
-static const char *VERSION        = "0.0.7";
+static const char *VERSION        = "0.0.8";
 static const char *DESCRIPTION    = "A text only skin";
 static const char *MAINMENUENTRY  = NULL;
 
@@ -53,8 +53,8 @@
   clrRed
   };
 
-#define OsdWidth  50//XXX
-#define OsdHeight 20//XXX
+static int OsdWidth = 50;
+static int OsdHeight = 20;
 
 class cCursesOsd : public cOsd {
 private:
@@ -780,8 +780,13 @@
 bool cPluginSkinCurses::Initialize(void)
 {
   // Initialize any background activities the plugin shall perform.
-  initscr();
-  return true;
+  WINDOW *w = initscr();
+  if (w) {
+     OsdWidth  = w->_maxx - w->_begx + 1;
+     OsdHeight = w->_maxy - w->_begy + 1;
+     return true;
+     }
+  return false;
 }
 
 bool cPluginSkinCurses::Start(void)
diff -ruN vdr-1.4.2/PLUGINS/src/sky/Makefile vdr-1.4.3/PLUGINS/src/sky/Makefile
--- vdr-1.4.2/PLUGINS/src/sky/Makefile	2006-04-24 19:21:03.000000000 +0200
+++ vdr-1.4.3/PLUGINS/src/sky/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.8 2006/04/24 17:21:03 kls Exp $
+# $Id: Makefile 1.9 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2/PLUGINS/src/status/Makefile vdr-1.4.3/PLUGINS/src/status/Makefile
--- vdr-1.4.2/PLUGINS/src/status/Makefile	2006-04-24 19:21:04.000000000 +0200
+++ vdr-1.4.3/PLUGINS/src/status/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.12 2006/04/24 17:21:04 kls Exp $
+# $Id: Makefile 1.13 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2/PLUGINS/src/svdrpdemo/Makefile vdr-1.4.3/PLUGINS/src/svdrpdemo/Makefile
--- vdr-1.4.2/PLUGINS/src/svdrpdemo/Makefile	2006-04-24 19:21:06.000000000 +0200
+++ vdr-1.4.3/PLUGINS/src/svdrpdemo/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.6 2006/04/24 17:21:06 kls Exp $
+# $Id: Makefile 1.7 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2/config.h vdr-1.4.3/config.h
--- vdr-1.4.2/config.h	2006-08-26 16:16:34.000000000 +0200
+++ vdr-1.4.3/config.h	2006-09-23 15:56:08.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.267 2006/08/26 14:16:34 kls Exp $
+ * $Id: config.h 1.271 2006/09/23 13:56:08 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -21,13 +21,13 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.4.2"
-#define VDRVERSNUM   10402  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.4.3"
+#define VDRVERSNUM   10403  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
-#define APIVERSION  "1.4.2"
-#define APIVERSNUM   10402  // Version * 10000 + Major * 100 + Minor
+#define APIVERSION  "1.4.3"
+#define APIVERSNUM   10403  // Version * 10000 + Major * 100 + Minor
 
 // When loading plugins, VDR searches them by their APIVERSION, which
 // may be smaller than VDRVERSION in case there have been no changes to
diff -ruN vdr-1.4.2/device.c vdr-1.4.3/device.c
--- vdr-1.4.2/device.c	2006-08-26 16:11:03.000000000 +0200
+++ vdr-1.4.3/device.c	2006-09-03 12:13:25.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: device.c 1.136 2006/08/26 14:11:03 kls Exp $
+ * $Id: device.c 1.137 2006/09/03 10:13:25 kls Exp $
  */
 
 #include "device.h"
@@ -779,6 +779,7 @@
   int OldVolume = volume;
   volume = min(max(Absolute ? Volume : volume + Volume, 0), MAXVOLUME);
   SetVolumeDevice(volume);
+  Absolute |= mute;
   cStatus::MsgSetVolume(Absolute ? volume : volume - OldVolume, Absolute);
   if (volume > 0) {
      mute = false;
diff -ruN vdr-1.4.2/i18n.c vdr-1.4.3/i18n.c
--- vdr-1.4.2/i18n.c	2006-05-05 15:26:09.000000000 +0200
+++ vdr-1.4.3/i18n.c	2006-09-16 11:08:30.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: i18n.c 1.281 2006/05/05 13:26:09 kls Exp $
+ * $Id: i18n.c 1.282 2006/09/16 09:08:30 kls Exp $
  *
  * Translations provided by:
  *
@@ -20,7 +20,7 @@
  * Greek       Dimitrios Dimitrakos <mail@dimitrios.de>
  * Swedish     Tomas Prybil <tomas@prybil.se>, Jan Ekholm <chakie@infa.abo.fi>
  * Romanian    Paul Lacatus <paul@campina.iiruc.ro>, Lucian Muresan <lucianm@users.sourceforge.net>
- * Hungarian   Istvan Koenigsberger <istvnko@hotmail.com>, Guido Josten <guido.josten@t-online.de>
+ * Hungarian   Istvan & Silvia Koenigsberger <istvnko@hotmail.com>, Guido Josten <guido.josten@t-online.de>
  * Catalanian  Marc Rovira Vall <tm05462@salleURL.edu>, Ramon Roca <ramon.roca@xcombo.com>, Jordi Vil <jvila@tinet.org>
  * Russian     Vyacheslav Dikonov <sdiconov@mail.ru>, Oleg Roitburd <oleg@roitburd.de>
  * Croatian    Drazen Dupor <drazen.dupor@dupor.com>, Dino Ravnic <dino.ravnic@fer.hr>
@@ -231,7 +231,7 @@
     "",
     "Timers",
     "Timer-e",
-    "Felvtel beprogramozsa",
+    "Idzt",
     "Temporitzadors",
     "",
     "Termini",
@@ -275,7 +275,7 @@
     " E",
     "Inspelning",
     "Detaliile nregistrrii",
-    "",// TODO
+    "Felvtel",
     "",// TODO
     "  ",
     "",// TODO
@@ -385,7 +385,7 @@
     " ",
     "ndra timer",
     "Modificare timer",
-    "Felvtel beprogramozsnak megvltoztatsa",
+    "Idzt megvltoztatsa",
     "Editar temporitzador",
     " ",
     "Ureivanje termina",
@@ -429,7 +429,7 @@
     "",
     "Info",
     "Info",
-    "",//TODO
+    "Informci",
     "",//TODO
     "",
     "Info",
@@ -473,7 +473,7 @@
     "",//TODO
     "Den hr sndningen - %s",
     "Aceast emisiune - %s",
-    "",//TODO
+    "Ez az ads - %s",
     "",//TODO
     "  - %s",
     "",//TODO
@@ -495,7 +495,7 @@
     "",//TODO
     "Den hr sndningen - alla kanaler",
     "Aceast emisiune - toate canalele",
-    "",//TODO
+    "Ez az ads - sszes ad",
     "",//TODO
     "  -  ",
     "",//TODO
@@ -517,7 +517,7 @@
     "",//TODO
     "Alla tillfllen - alla kanaler",
     "Toate emisiunile - toate canalele",
-    "",//TODO
+    "Az sszes ads - az sszes ad",
     "",//TODO
     "  -  ",
     "",//TODO
@@ -694,7 +694,7 @@
     "",// TODO
     "Timer",
     "Timer",
-    "",// TODO
+    "Idzt",
     "",// TODO
     "",
     "",// TODO
@@ -738,7 +738,7 @@
     "",
     "Info",
     "Info",
-    "",//TODO
+    "Informci",
     "",//TODO
     "",
     "Info",
@@ -1090,7 +1090,7 @@
     "",
     "Skanna",
     "Cutare canale",
-    "",//TODO
+    "Adskeress",
     "",//TODO
     "",
     "Pretrai",
@@ -1112,7 +1112,7 @@
     "",
     "Ljud",
     "Sunet",
-    "",// TODO
+    "Hang",
     "",// TODO
     "",
     "",// TODO
@@ -1157,7 +1157,7 @@
     " ;?",
     "Ta bort timern?",
     "terg timer-ul?",
-    "Felvtel beprogramozsnak trlse?",
+    "Idzt trlse?",
     "Esborrar el temporitzador?",
     " ?",
     "Obrisati termin?",
@@ -1708,7 +1708,7 @@
     "",//TODO
     "Okodad",
     "FTA (necriptat)",
-    "",//TODO
+    "Kdolatlan",
     "",//TODO
     "FTA ()",
     "",//TODO
@@ -1730,7 +1730,7 @@
     "",//TODO
     "krypterad",
     "criptat",
-    "",//TODO
+    "Kdolt",
     "",//TODO
     "",
     "",//TODO
@@ -2061,7 +2061,7 @@
     "VPS",
     "VPS",
     "VPS",
-    "",// TODO
+    "VPS",
     "",// TODO
     "VPS ",
     "VPS", // hrv
@@ -2172,7 +2172,7 @@
     "    !",
     "Kanalen anvnds av en timer!",
     "Canalul este utilizat de un timer!",
-    "Csatornt ms hasznlja!",
+    "Az adt az idzt hasznlja!",
     "Canal en s per un temporitzador!",
     "  !",
     "Program je trenutno zauzet terminom za snimanje",
@@ -2194,7 +2194,7 @@
     "  !",
     "Omjligt att byta kanal!",
     "Nu pot comuta canalul!",
-    "Csatornt nem lehet tkapcsolni!",
+    "Az adt nem lehet elkapcsolni",
     "No puc canviar de canal!",
     "  !",
     "Ne mogu prebaciti program!",
@@ -2304,7 +2304,7 @@
     "",//TODO
     "strax VPS inspelning...",
     "Urmeaz o nregistrare VPS!",
-    "",//TODO
+    "VPS-felvtel rgtn kezddik!",
     "",//TODO
     "VPS-  ",
     "",//TODO
@@ -2348,7 +2348,7 @@
     "    !",
     "Kanalen r inte tillgnglig!",
     "Canal indisponibil",
-    "A csatorna nem elrhet",
+    "Az ad nem elrhet",
     "Canal no disponible!",
     " !",
     "Program nije dostupan!",
@@ -2370,7 +2370,7 @@
     "    !",
     "Kanalinstllningarna r ej unika!",
     "Parametrii canalului nu sunt univoci!",
-    "A csatornabelltsok nem egyrtelmek",
+    "Az adbelltsok nem egyrtelmek",
     "Propietats del canal duplicades!",
     "   !",
     "Parametri programa nisu jednoznani!",
@@ -2392,7 +2392,7 @@
     "    ( )!",
     "Kanalen r lst (inspelning pgr)!",
     "Canal blocat (nregistrare)!",
-    "Csatorna hozzfrhetetlen (felvtel)!",
+    "Az ad blokkolva (felvtel)!",
     "Canal bloquejat (gravant)!",
     "  ( )!",
     "Program blokiran (snimanje)!",
@@ -2524,7 +2524,7 @@
     "",//TODO
     "Otillrcklingt diskutrymme fr inspelning!",
     "Insuficient spaiul pe disc pentru nregistrare!",
-    "",//TODO
+    "Nincs elegend hely a felvtelre",
     "",//TODO
     "      ",
     "",//TODO
@@ -2568,7 +2568,7 @@
     "",//TODO
     "ppnar CAM menyn...",
     "Deschid meniul CAM...",
-    "",//TODO
+    "A CAM-men nyits alatt...",
     "",//TODO
     "     (CAM)",
     "",//TODO
@@ -2612,7 +2612,7 @@
     "",//TODO
     "terstller CAM ...",
     "Se reseteaz CAM...",
-    "",//TODO
+    "A CAM jra indul...",
     "",//TODO
     " CAM...",
     "",//TODO
@@ -2678,7 +2678,7 @@
     "",//TODO
     "Mata in %d siffror!",
     "V rog introducei %d cifre!",
-    "",//TODO
+    "ssn be %d szmot!",
     "",//TODO
     " %d ",
     "",//TODO
@@ -2700,7 +2700,7 @@
     "  ",
     "Ljud saknas!",
     "Lipsete sunetul!",
-    "",//TODO
+    "Hang nem lehetsges!",
     "",//TODO
     " !",
     "Audio nedostupan",
@@ -2988,7 +2988,7 @@
     "",
     "Skin",
     "Skin",
-    "",// TODO
+    "Men nzet",
     "",// TODO
     "",
     "Povrina",
@@ -3010,7 +3010,7 @@
     "",
     "Tema",
     "Tem",
-    "",// TODO
+    "Tma",
     "",// TODO
     "",
     "Tema",
@@ -3032,7 +3032,7 @@
     "",
     "Vnster",
     "Stnga",
-    "",// TODO
+    "Balra",
     "",// TODO
     " ",
     "Lijevo",
@@ -3054,7 +3054,7 @@
     "",
     "vre",
     "Sus",
-    "",// TODO
+    "Fent",
     "",// TODO
     " ",
     "Gore",
@@ -3142,7 +3142,7 @@
     "  ",
     "Anvnd liten font",
     "Utilizare fonturi mici",
-    "",// TODO
+    "Kisbett hasznlni",
     "",// TODO
     "  ",
     "Koristi mala slova",
@@ -3164,7 +3164,7 @@
     "",
     "aldrig",
     "niciodat",
-    "",// TODO
+    "soha",
     "",// TODO
     "",
     "nikada",
@@ -3186,7 +3186,7 @@
     "   ",
     "skin beroende",
     "dep. de skin",
-    "",// TODO
+    "Men nzettl fggen",
     "",// TODO
     " ",
     "ovisno o povrini",
@@ -3208,7 +3208,7 @@
     "",
     "alltid",
     "ntotdeauna",
-    "",// TODO
+    "mindig",
     "",// TODO
     "",
     "uvijek",
@@ -3230,7 +3230,7 @@
     "  ",
     "Placering av kanalinformation",
     "Poziia informaiilor despre canal",
-    "Csatorna-Inf pozicija",
+    "Adsinformci pozicija",
     "Posici de la informaci del canal",
     "    ",
     "Pozicija informacije o programu",
@@ -3252,7 +3252,7 @@
     "     ()",
     "Kanal information (s)",
     "Durata afirii info-canal (s)",
-    "",// TODO
+    "Adsinformci feltntetsnek idtartama (s)",
     "",// TODO
     "    ()",
     "Vrijeme prikaza informacije o programu (s)",
@@ -3274,7 +3274,7 @@
     "   ",
     "Information vid kanalbyte",
     "Informaii la comutarea canalului",
-    "Inf a csatorna vltsnl",
+    "Informci az ad vltsnl",
     "Informaci del canvi de canal",
     "   ",
     "Informacije kod promjene kanala",
@@ -3296,7 +3296,7 @@
     "", // TODO
     "Timeout fr kanalinformation",
     "Durata afirii informaii canal",
-    "", // TODO
+    "A lekrdezett adsinformci bezrsa",
     "", // TODO
     "   ",
     "", // TODO
@@ -3340,7 +3340,7 @@
     " -",
     "Rulla texten",
     "Derulare circular",
-    "",// TODO
+    "Korltlan lptets",
     "",// TODO
     " ",
     "S kraja skoi na poetak",
@@ -3362,7 +3362,7 @@
     "",// TODO
     "Menyknappen stnger",
     "Tasta 'Meniu' nchide",
-    "",// TODO
+    "A men gomb zr",
     "",// TODO
     "  ",
     "",// TODO
@@ -3406,7 +3406,7 @@
     "   EPG  ",
     "EPG skning timeout",
     "Interval achiziie EPG (h)",
-    "Fennmaradt id az EPG-g (h)",
+    "Fennmaradt id az EPG-jtsig (h)",
     "Mxim d'Hores a cercar per la Guia",
     "   ()",
     "Vrijeme do EPG pregleda (h)",
@@ -3450,7 +3450,7 @@
     "   ()",
     "Visa gammal information (min)",
     "Date EPG expirate cel mult (min)",
-    "",// TODO
+    "Rgi EPG adatok megmutatsa (perc)",
     "",// TODO
     "   ()",
     "Prikai stare EPG podatke (min)",
@@ -3516,7 +3516,7 @@
     " ",
     "nskade sprk",
     "Limbi preferate",
-    "",// TODO
+    "Kedvenc nyelvek",
     "",// TODO
     "  ()",
     "Preferirani jezici",
@@ -3538,7 +3538,7 @@
     " ",
     "nskat sprk",
     "Limba preferat",
-    "",// TODO
+    "Kedvenc nyelv",
     "",// TODO
     "",
     "Preferirani jezik",
@@ -3692,7 +3692,7 @@
     "  Dolby Digital",
     "Anvnd Dolby Digital",
     "Sunet Dolby Digital",
-    "",//TODO
+    "Dolby-Digital hangot hasznlni",
     "",//TODO
     " Dolby Digital",
     "Koristi Dolby Digital",
@@ -3714,7 +3714,7 @@
     " ",
     "Uppdatera kanaler",
     "Actualizare canale",
-    "",// TODO
+    "Adk aktualizlsa",
     "",// TODO
     "  ",
     "Aktualiziraj programe",
@@ -3736,7 +3736,7 @@
     " ",
     "bara namn",
     "doar numele",
-    "",// TODO
+    "kizrlag nevek",
     "",// TODO
     " ",
     "samo imena",
@@ -3758,7 +3758,7 @@
     "",// TODO
     "bara PIDs",
     "Numai PID-uri",
-    "",// TODO
+    "kizrlag PID-k",
     "",// TODO
     " PID",
     "",// TODO
@@ -3780,7 +3780,7 @@
     "  PIDs",
     "namn och PID",
     "nume si PID-uri",
-    "",// TODO
+    "nevek s PID-k",
     "",// TODO
     "  PID",
     "imena i identifikatore (PIDs)",
@@ -3802,7 +3802,7 @@
     "  ",
     "lgg till nya kanaler",
     "adugare canale noi",
-    "",// TODO
+    "j adk hozzadsa",
     "",// TODO
     " ",
     "dodaj nove programe",
@@ -3824,7 +3824,7 @@
     "  ",
     "lgg till nya transponders",
     "adugare transpondere noi",
-    "",// TODO
+    "j transponder hozzadsa",
     "",// TODO
     ". ",
     "dodaj nove transpondere", // hrv TODO transponderi == odasiljai?
@@ -3846,7 +3846,7 @@
     " ",
     "Antal ljudsprk",
     "Limbi sunet",
-    "",//TODO
+    "Audio-nyelvek",
     "",//TODO
     "  ()",
     "Audio jezici",
@@ -3868,7 +3868,7 @@
     " ",
     "Ljudsprk",
     "Limba sunetului",
-    "",//TODO
+    "Audio-nyelv",
     "",//TODO
     "",
     "Audio jezik",
@@ -4000,7 +4000,7 @@
     "    ()",
     "Marginal fr start (min)",
     "Marj la pornire (min)",
-    "Ideltolds a kezdsnl (min)",
+    "Ideltolds a kezdsnl (perc)",
     "Marge d'inici de gravaci (min)",
     "   ()",
     "Rezerva na poetku snimanja (min)",
@@ -4022,7 +4022,7 @@
     "    ()",
     "Marginal fr stopp (min)",
     "Marj la oprire (min)",
-    "Ideltolds a befejezsnl",
+    "Ideltolds a befejezsnl (perc)",
     "Marge de fi de gravaci (min)",
     "   ()",
     "Rezerva na kraju (min)",
@@ -4176,7 +4176,7 @@
     " VPS",
     "Anvnd VPS",
     "Utilizeaz VPS",
-    "",// TODO
+    "VPS-t hasznlni",
     "",// TODO
     "  VPS",
     "Koristi VPS",
@@ -4198,7 +4198,7 @@
     " VPS ()",
     "VPS marginal (s)",
     "Marj de timp la utilizare VPS (s)",
-    "",// TODO
+    "Ideltolds VPS-nl (s)",
     "",// TODO
     "  VPS ()",
     "Vremenska rezerva kod VPS (s)",
@@ -4264,7 +4264,7 @@
     "   ()",
     "Direktinspelning lngd (min)",
     "Timpul de nregistare imediat (min)",
-    "Felvtel idtartama",
+    "Felvtel idtartama (perc)",
     "Temps de gravaci instantnia (min)",
     "   ()",
     "Trajanje direktnog snimanja (min)",
@@ -4396,7 +4396,7 @@
     "   ()",
     "Minsta hndelse-pause (min)",
     "Durat minim emisiuni (min)",
-    "Min. esemny sznet (min)",
+    "Idzitsek kztti idtartam (perc)",
     "Temps mnim en pausa (min)",
     ".    ()",
     "Minimalno vrijeme pauze",
@@ -4418,7 +4418,7 @@
     "   ()",
     "Minsta anvndar-inaktivitet (min)",
     "Durata minim de inactivitate (min)",
-    "Min. kezelsi aktivits (min)",
+    "VDR lell hasznlat nlkl (perc)",
     "Temps mnim d'inactivitat (min)",
     ".    ()",
     "Minimalno vrijeme neaktivnosti (min)",
@@ -4440,7 +4440,7 @@
     "SVDRP  ()",
     "SVDRP Timeout (s)",
     "Timeout SVDRP (sec)",
-    "SVDRP Timeout (s)",
+    "SVDRP sztkapcsol hasznlat nlkl(s)",
     "SVDRP Timeout (s)",
     "  . SVDRP ()",
     "SVDRP vrijeme neaktivnosti",
@@ -4462,7 +4462,7 @@
     "  ()",
     "Zap timeout(s)",
     "Interval zapping (s)",
-    "",// TODO
+    "Adsvlts ideje (s)",
     "",// TODO
     "   ()",
     "",// hrv TODO
@@ -4484,7 +4484,7 @@
     "",// TODO
     "Kanal vid uppstart",
     "Canalul de pornire",
-    "",// TODO
+    "Ads a bekapcsolsnl",
     "",// TODO
     "  ",
     "",// TODO
@@ -4506,7 +4506,7 @@
     "",// TODO
     "Ljudstyrka vid uppstart",
     "Volumul la pornire",
-    "",// TODO
+    "Hanger a bekapcsolsnl",
     "",// TODO
     "  ",
     "",// TODO
@@ -4528,7 +4528,7 @@
     "",// TODO
     "som frut",
     "ca mai nainte",
-    "",// TODO
+    "ahogy az elbb",
     "",// TODO
     " ",
     "",// TODO
@@ -5193,7 +5193,7 @@
     "",
     "Info",
     "Info",
-    "",//TODO
+    "Informci",
     "",//TODO
     "",
     "Info",
@@ -5347,7 +5347,7 @@
     "",// TODO
     "Nsta",
     "Urmtor",
-    "",// TODO
+    "Elre",
     "",// TODO
     "",
     "",// TODO
@@ -5369,7 +5369,7 @@
     "",// TODO
     "Bakt",
     "Anterior",
-    "",// TODO
+    "Vissza",
     "",// TODO
     "",
     "",// TODO
@@ -5457,7 +5457,7 @@
     "",// TODO
     "Frra kanalen",
     "Canal anterior",
-    "",// TODO
+    "Az elz ads",
     "",// TODO
     " ",
     "",// TODO
@@ -5545,7 +5545,7 @@
     "",
     "Ljud",
     "Sunet",
-    "",// TODO
+    "Hang",
     "",// TODO
     "",
     "",// TODO
@@ -5766,7 +5766,7 @@
     ": ",
     "Hopp: ",
     "Salt la: ",
-    "Ugrs: ",
+    "Ugrs:",
     "Salta a:",
     ": ",
     "Skoi: ",
@@ -5788,7 +5788,7 @@
     " ",
     "Volym ",
     "Volum ",
-    "Hanger ",
+    "Hanger",
     "Volum ",
     " ",
     "Glasnoa ",
@@ -5832,7 +5832,7 @@
     "   ",
     " Avsluta inspelning ",
     " Oprete nregistrarea ",
-    " Felvtelt befejezni ",
+    " Felvtelt befejezni",
     " Aturar la gravaci ",
     "   ",
     " Prekini snimanje ",
@@ -5986,7 +5986,7 @@
     "",//TODO
     "Inspelningen har startat",
     "A nceput nregistrarea",
-    "",//TODO
+    "A felvtel elinditva Nd",
     "",//TODO
     " ",
     "",//TODO
@@ -6030,7 +6030,7 @@
     "  EPG",
     "Pbrjar EPG skanning",
     "Pornesc achiziia EPG",
-    "",// TODO
+    "EPG adatok aktualizlsa",
     "",// TODO
     " EPG-",
     "Poinjem EPG-scan",
@@ -6074,7 +6074,7 @@
     " VDR",
     "Klassisk VDR",
     "VDR clasic",
-    "",// TODO
+    "Klasszikus VDR",
     "",// TODO
     "",
     "Klasini VDR",
@@ -6096,7 +6096,7 @@
     " ST:TNG",
     "ST:TNG konsol",
     "Cons. ST:TNG",
-    "",// TODO
+    "ST:TNG Konzol",
     "",// TODO
     "ST:TNG ",
     "ST:TNG Konzole",
@@ -6118,7 +6118,7 @@
     " ",
     "ingen titel",
     "Fr titlu",
-    "",// TODO
+    "nv nlkl",
     "",// TODO
     " ",
     "Bez titla",
diff -ruN vdr-1.4.2/libsi/headers.h vdr-1.4.3/libsi/headers.h
--- vdr-1.4.2/libsi/headers.h	2006-05-28 16:25:30.000000000 +0200
+++ vdr-1.4.3/libsi/headers.h	2006-09-02 22:25:16.000000000 +0200
@@ -10,7 +10,7 @@
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
- *   $Id: headers.h 1.7 2006/05/28 14:25:30 kls Exp $
+ *   $Id: headers.h 1.8 2006/09/02 20:25:16 kls Exp $
  *                                                                         *
  ***************************************************************************/
 
@@ -1534,15 +1534,9 @@
 struct descr_pdc {
    u_char descriptor_tag                         :8;
    u_char descriptor_length                      :8;
-#if BYTE_ORDER == BIG_ENDIAN
-   u_char pil2                                   :8;
-   u_char pil1                                   :8;
-   u_char pil0                                   :8;
-#else
    u_char pil0                                   :8;
    u_char pil1                                   :8;
    u_char pil2                                   :8;
-#endif
 };
 
 /* 0x6A ac3_descriptor */
diff -ruN vdr-1.4.2/newplugin vdr-1.4.3/newplugin
--- vdr-1.4.2/newplugin	2006-06-24 11:15:17.000000000 +0200
+++ vdr-1.4.3/newplugin	2006-09-09 14:38:35.000000000 +0200
@@ -12,7 +12,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: newplugin 1.29 2006/06/24 09:15:17 kls Exp $
+# $Id: newplugin 1.30 2006/09/09 12:38:35 kls Exp $
 
 $PLUGIN_NAME = $ARGV[0] || die "Usage: newplugin <name>\n";
 
@@ -124,7 +124,7 @@
 
 libvdr-\$(PLUGIN).so: \$(OBJS)
 	\$(CXX) \$(CXXFLAGS) -shared \$(OBJS) -o \$\@
-	\@cp \$\@ \$(LIBDIR)/\$\@.\$(APIVERSION)
+	\@cp --remove-destination \$\@ \$(LIBDIR)/\$\@.\$(APIVERSION)
 
 dist: clean
 	\@-rm -rf \$(TMPDIR)/\$(ARCHIVE)
diff -ruN vdr-1.4.2/recording.c vdr-1.4.3/recording.c
--- vdr-1.4.2/recording.c	2006-07-30 12:23:46.000000000 +0200
+++ vdr-1.4.3/recording.c	2006-09-16 14:12:34.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: recording.c 1.149 2006/07/30 10:23:46 kls Exp $
+ * $Id: recording.c 1.150 2006/09/16 12:12:34 kls Exp $
  */
 
 #include "recording.h"
@@ -947,7 +947,10 @@
 
 bool cRecordings::NeedsUpdate(void)
 {
-  return lastUpdate < LastModifiedTime(UpdateFileName());
+  time_t lastModified = LastModifiedTime(UpdateFileName());
+  if (lastModified > time(NULL))
+     return false; // somebody's clock isn't running correctly
+  return lastUpdate < lastModified;
 }
 
 bool cRecordings::Update(bool Wait)
diff -ruN vdr-1.4.2/timers.c vdr-1.4.3/timers.c
--- vdr-1.4.2/timers.c	2006-08-05 14:03:36.000000000 +0200
+++ vdr-1.4.3/timers.c	2006-09-15 16:15:53.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: timers.c 1.62 2006/08/05 12:03:36 kls Exp $
+ * $Id: timers.c 1.65 2006/09/15 14:15:53 kls Exp $
  */
 
 #include "timers.h"
@@ -83,6 +83,14 @@
   event = NULL; // let SetEvent() be called to get a log message
 }
 
+cTimer::cTimer(const cTimer &Timer)
+{
+  channel = NULL;
+  aux = NULL;
+  event = NULL;
+  *this = Timer;
+}
+
 cTimer::~cTimer()
 {
   free(aux);
@@ -90,11 +98,26 @@
 
 cTimer& cTimer::operator= (const cTimer &Timer)
 {
-  memcpy(this, &Timer, sizeof(*this));
-  if (aux)
-     aux = strdup(aux);
-  event = NULL;
-  lastSetEvent = 0;
+  if (&Timer != this) {
+     startTime    = Timer.startTime;
+     stopTime     = Timer.stopTime;
+     lastSetEvent = 0;
+     recording    = Timer.recording;
+     pending      = Timer.pending;
+     inVpsMargin  = Timer.inVpsMargin;
+     flags        = Timer.flags;
+     channel      = Timer.channel;
+     day          = Timer.day;
+     weekdays     = Timer.weekdays;
+     start        = Timer.start;
+     stop         = Timer.stop;
+     priority     = Timer.priority;
+     lifetime     = Timer.lifetime;
+     strncpy(file, Timer.file, sizeof(file));
+     free(aux);
+     aux = Timer.aux ? strdup(Timer.aux) : NULL;
+     event = NULL;
+     }
   return *this;
 }
 
@@ -415,13 +438,7 @@
 
 bool cTimer::Expired(void) const
 {
-  if (IsSingleEvent() && !Recording() && StopTime() + EXPIRELATENCY <= time(NULL)) {
-     if (HasFlags(tfVps) && event && event->Vps())
-        return event->RunningStatus() == SI::RunningStatusNotRunning;
-     else
-        return true;
-     }
-  return false;
+  return IsSingleEvent() && !Recording() && StopTime() + EXPIRELATENCY <= time(NULL) && (!HasFlags(tfVps) || !event);
 }
 
 time_t cTimer::StartTime(void) const
diff -ruN vdr-1.4.2/timers.h vdr-1.4.3/timers.h
--- vdr-1.4.2/timers.h	2006-04-08 14:41:44.000000000 +0200
+++ vdr-1.4.3/timers.h	2006-09-04 19:07:39.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: timers.h 1.28 2006/04/08 12:41:44 kls Exp $
+ * $Id: timers.h 1.29 2006/09/04 17:07:39 kls Exp $
  */
 
 #ifndef __TIMERS_H
@@ -44,6 +44,7 @@
 public:
   cTimer(bool Instant = false, bool Pause = false, cChannel *Channel = NULL);
   cTimer(const cEvent *Event);
+  cTimer(const cTimer &Timer);
   virtual ~cTimer();
   cTimer& operator= (const cTimer &Timer);
   virtual int Compare(const cListObject &ListObject) const;
diff -ruN vdr-1.4.2/vdr.c vdr-1.4.3/vdr.c
--- vdr-1.4.2/vdr.c	2006-08-05 12:46:38.000000000 +0200
+++ vdr-1.4.3/vdr.c	2006-09-01 14:57:44.000000000 +0200
@@ -22,7 +22,7 @@
  *
  * The project's page is at http://www.cadsoft.de/vdr
  *
- * $Id: vdr.c 1.278 2006/08/05 10:46:38 kls Exp $
+ * $Id: vdr.c 1.279 2006/09/01 12:57:44 kls Exp $
  */
 
 #include <getopt.h>
@@ -450,6 +450,7 @@
   // Check for UTF-8 and exit if present - asprintf() will fail if it encounters 8 bit ASCII codes
   char *LangEnv;
   if ((LangEnv = getenv("LANG"))     != NULL && strcasestr(LangEnv, "utf") ||
+      (LangEnv = getenv("LC_ALL"))   != NULL && strcasestr(LangEnv, "utf") ||
       (LangEnv = getenv("LC_CTYPE")) != NULL && strcasestr(LangEnv, "utf")) {
      fprintf(stderr, "vdr: please turn off UTF-8 before starting VDR\n");
      return 2;
